
singleton Material(ATvanwheel)
{
   mapTo = "ATvanwheel";
   diffuseMap[1] = "vehicles/ATvan/steelwheel_02a_d.dds";
   specularMap[1] = "vehicles/ATvan/steelwheel_02a_s.dds";
   diffuseMap[0] = "vehicles/ATvan/steelwheel_02a_d.dds";
   specularMap[0] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/ATvan/steelwheel_02a_dirt.dds";
   specularPower[0] = "50";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   specular[0] = "0.9 0.9 0.9 1";
   doubleSided = "1";
};

singleton Material(ATvan)
{
   mapTo = "ATvan";
   diffuseMap[2] = "vehicles/ATvan/ATvan_c.dds";
   specularMap[2] = "vehicles/ATvan/ATvan_s.dds";
   normalMap[2] = "vehicles/ATvan/ATvan_n.dds";
   diffuseMap[1] = "vehicles/ATvan/ATvan_d.dds";
   specularMap[1] = "vehicles/ATvan/ATvan_s.dds";
   normalMap[1] = "vehicles/ATvan/ATvan_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/ATvan/ATvan_n.dds";
   //diffuseMap[3] = "vehicles/ATvan/ATvan_dirt.dds";
   //normalMap[3] = "vehicles/ATvan/ATvan_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "0.152941 0.152941 0.152941 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ATvan_cargobox)
{
   mapTo = "ATvan_cargobox";
   diffuseMap[1] = "vehicles/ATvan/ATvan_cargobox_d.dds";
   specularMap[1] = "vehicles/ATvan/ATvan_cargobox_s.dds";
   normalMap[1] = "vehicles/ATvan/ATvan_cargobox_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/ATvan/ATvan_cargobox_n.dds";
   //diffuseMap[3] = "vehicles/ATvan/ATvan_cargobox_dirt.dds";
   //normalMap[3] = "vehicles/ATvan/ATvan_cargobox_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ATvan_interior)
{
   mapTo = "ATvan_interior";
   diffuseMap[0] = "ATvan_interior_d.dds";
   specularMap[0] = "ATvan_interior_s.dds";
   normalMap[0] = "ATvan_interior_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1.5 1.5 1.5 1";
};

singleton Material(ATvan_gauges)
{
   mapTo = "ATvan_gauges";
   diffuseMap[0] = "ATvan_gauges_d.dds";
   specularMap[0] = "ATvan_gauges_s.dds";
   normalMap[0] = "ATvan_gauges_n.dds";
   specularPower[0] = "16";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material(ATvan_gauges_on)
{
   mapTo = "ATvan_gauges_on";
   diffuseMap[1] = "ATvan_gauges_g.dds";
   specularMap[1] = "ATvan_gauges_s.dds";
   normalMap[1] = "ATvan_gauges_n.dds";
   diffuseMap[0] = "ATvan_gauges_d.dds";
   specularMap[0] = "ATvan_gauges_s.dds";
   normalMap[0] = "ATvan_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "1";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
   diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(ATvan_seats)
{
   mapTo = "ATvan_seats";
   diffuseMap[0] = "ATvan_seats_d.dds";
   specularMap[0] = "ATvan_seats_s.dds";
   normalMap[0] = "ATvan_seats_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1.5 1.5 1.5 1";
};

singleton Material(ATvan_glass)
{
   mapTo = "ATvan_glass";
   diffuseMap[0] = "vehicles/ATvan/ATvan_glass_d.dds";
   specularMap[0] = "vehicles/ATvan/ATvan_glass_s.dds";
   diffuseMap[1] = "vehicles/ATvan/ATvan_glass_da.dds";
   specularMap[1] = "vehicles/ATvan/ATvan_glass_s.dds";
   //diffuseMap[2] = "vehicles/ATvan/ATvan_glass_dirt.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ATvan_glass_dmg)
{
   mapTo = "ATvan_glass_dmg";
   diffuseMap[0] = "vehicles/ATvan/ATvan_glass_dmg_d.dds";
   specularMap[0] = "vehicles/common/glass_dmg_s.dds";
   normalMap[0] = "vehicles/common/glass_dmg_n.dds";
   //diffuseMap[2] = "vehicles/ATvan/ATvan_glass_dirt.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ATvan_signal_L)
{
   mapTo = "ATvan_signal_L";
};

singleton Material(ATvan_signal_R)
{
   mapTo = "ATvan_signal_R";
};

singleton Material(ATvan_taillight)
{
   mapTo = "ATvan_taillight";
};

singleton Material(ATvan_taillight_L)
{
   mapTo = "ATvan_taillight_L";
};

singleton Material(ATvan_taillight_R)
{
   mapTo = "ATvan_taillight_R";
};

singleton Material(ATvan_headlight)
{
   mapTo = "ATvan_headlight";
};

singleton Material(ATvan_chmsl)
{
   mapTo = "ATvan_chmsl";
};

singleton Material(ATvan_reverselight)
{
   mapTo = "ATvan_reverselight";
};

singleton Material(ATvan_runninglight)
{
   mapTo = "ATvan_runninglight";
};

singleton Material(ATvan_runningbrakelight)
{
   mapTo = "ATvan_runningbrakelight";
};

singleton Material(ATvan_lights)
{
   mapTo = "ATvan_lights";
   diffuseMap[1] = "vehicles/ATvan/ATvan_lights_d.dds";
   specularMap[1] = "vehicles/ATvan/ATvan_lights_s.dds";
   normalMap[1] = "vehicles/ATvan/ATvan_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/ATvan/ATvan_lights_n.dds";
   //diffuseMap[2] = "vehicles/ATvan/ATvan_lights_dirt.dds";
   //normalMap[2] = "vehicles/ATvan/ATvan_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ATvan_lights_on)
{
   mapTo = "ATvan_lights_on";
   diffuseMap[2] = "vehicles/ATvan/ATvan_lights_g.dds";
   specularMap[2] = "vehicles/ATvan/ATvan_lights_s.dds";
   normalMap[2] = "vehicles/ATvan/ATvan_lights_n.dds";
   diffuseMap[1] = "vehicles/ATvan/ATvan_lights_d.dds";
   specularMap[1] = "vehicles/ATvan/ATvan_lights_s.dds";
   normalMap[1] = "vehicles/ATvan/ATvan_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/ATvan/ATvan_lights_n.dds";
   //diffuseMap[3] = "vehicles/ATvan/ATvan_lights_dirt.dds";
   //normalMap[3] = "vehicles/ATvan/ATvan_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ATvan_lights_on_intense)
{
   mapTo = "ATvan_lights_on_intense";
   diffuseMap[2] = "vehicles/ATvan/ATvan_lights_g.dds";
   specularMap[2] = "vehicles/ATvan/ATvan_lights_s.dds";
   normalMap[2] = "vehicles/ATvan/ATvan_lights_n.dds";
   diffuseMap[1] = "vehicles/ATvan/ATvan_lights_d.dds";
   specularMap[1] = "vehicles/ATvan/ATvan_lights_s.dds";
   normalMap[1] = "vehicles/ATvan/ATvan_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/ATvan/ATvan_lights_n.dds";
   //diffuseMap[3] = "vehicles/ATvan/ATvan_lights_dirt.dds";
   //normalMap[3] = "vehicles/ATvan/ATvan_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.20";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ATvan_lights_dmg)
{
   mapTo = "ATvan_lights_dmg";
   diffuseMap[1] = "vehicles/ATvan/ATvan_lights_dmg_d.dds";
   specularMap[1] = "vehicles/ATvan/ATvan_lights_dmg_s.dds";
   normalMap[1] = "vehicles/ATvan/ATvan_lights_dmg_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/ATvan/ATvan_lights_dmg_n.dds";
   //diffuseMap[2] = "vehicles/ATvan/ATvan_lights_dirt.dds";
   //normalMap[2] = "vehicles/ATvan/ATvan_lights_dmg_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

//frame and running gear
singleton Material(pickup)
{
   mapTo = "pickup";
   //diffuseMap[2] = "vehicles/pickup/pickup_c.dds";
   //specularMap[2] = "vehicles/pickup/pickup_s.dds";
   //normalMap[2] = "vehicles/pickup/pickup_n.dds";
   diffuseMap[1] = "vehicles/pickup/pickup_d.dds";
   specularMap[1] = "vehicles/pickup/pickup_s.dds";
   normalMap[1] = "vehicles/pickup/pickup_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/pickup/pickup_n.dds";
   //diffuseMap[3] = "vehicles/pickup/pickup_dirt.dds";
   //normalMap[3] = "vehicles/pickup/pickup_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "0.80 0.15 0.0 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

//v8 engine
singleton Material(fullsize)
{
   mapTo = "fullsize";
   //diffuseMap[2] = "vehicles/fullsize/fullsize_c.dds";
   //specularMap[2] = "vehicles/fullsize/fullsize_s.dds";
   //normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[1] = "vehicles/fullsize/fullsize_d.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_dirt.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "0.06 0.08 0.22 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ATvanwheel)
{
   mapTo = "ATvanwheel";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(ATvan_pickup_001)
{
   mapTo = "pickup_001";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};
